<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.iq.Iq</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.iq-module.html">Module&nbsp;iq</a> ::
        Class&nbsp;Iq
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class Iq</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.iq-pysrc.html#Iq">source&nbsp;code</a></span></p>
<pre class="base-tree">
<a href="pyxmpp.stanza.Stanza-class.html">stanza.Stanza</a> --+
                |
               <strong class="uidshort">Iq</strong>
</pre>

<dl><dt>Known Subclasses:</dt>
<dd>
      <ul class="subclass-list">
<li><a href="pyxmpp.jabber.muccore.MucIq-class.html">jabber.muccore.MucIq</a></li>  </ul>
</dd></dl>

<hr />
Wraper object for &lt;iq /&gt; stanzas.

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.iq.Iq-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">xmlnode</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">from_jid</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">to_jid</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">stanza_type</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">stanza_id</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">error</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">error_cond</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">stream</span>=<span class="summary-sig-default">None</span>)</span><br />
      Initialize an <a href="pyxmpp.iq.Iq-class.html" class="link">Iq</a> object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.iq-pysrc.html#Iq.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.iq.Iq-class.html" class="link">Iq</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.iq.Iq-class.html#copy" class="summary-sig-name">copy</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Create a deep copy of the iq stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.iq-pysrc.html#Iq.copy">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">libxml2.xmlNode</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.iq.Iq-class.html#get_query" class="summary-sig-name">get_query</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get the payload element of the stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.iq-pysrc.html#Iq.get_query">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">str</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.iq.Iq-class.html#get_query_ns" class="summary-sig-name">get_query_ns</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get a namespace of the stanza payload.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.iq-pysrc.html#Iq.get_query_ns">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.iq.Iq-class.html" class="link">Iq</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.iq.Iq-class.html#make_error_response" class="summary-sig-name">make_error_response</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">cond</span>)</span><br />
      Create error response for the a &quot;get&quot; or &quot;set&quot; iq stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.iq-pysrc.html#Iq.make_error_response">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.iq.Iq-class.html" class="link">Iq</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.iq.Iq-class.html#make_result_response" class="summary-sig-name">make_result_response</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Create result response for the a &quot;get&quot; or &quot;set&quot; iq stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.iq-pysrc.html#Iq.make_result_response">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">libxml2.xmlNode</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.iq.Iq-class.html#new_query" class="summary-sig-name">new_query</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">ns_uri</span>,
        <span class="summary-sig-arg">name</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">query</code><code class="variable-quote">'</code></span>)</span><br />
      Create new payload element for the stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.iq-pysrc.html#Iq.new_query">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.stanza.Stanza-class.html">stanza.Stanza</a></code></b>:
      <code><a href="pyxmpp.stanza.Stanza-class.html#__del__">__del__</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#__eq__">__eq__</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#__ne__">__ne__</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#add_content">add_content</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#add_new_content">add_new_content</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#free">free</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_error">get_error</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_from">get_from</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_from_jid">get_from_jid</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_id">get_id</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_node">get_node</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_stanza_id">get_stanza_id</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_stanza_type">get_stanza_type</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_to">get_to</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_to_jid">get_to_jid</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_type">get_type</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#serialize">serialize</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#set_content">set_content</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#set_from">set_from</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#set_id">set_id</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#set_new_content">set_new_content</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#set_to">set_to</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#set_type">set_type</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#xpath_eval">xpath_eval</a></code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== CLASS VARIABLES ==================== -->
<a name="section-ClassVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Class Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-ClassVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="stanza_type"></a><span class="summary-name">stanza_type</span> = <code title="'iq'"><code class="variable-quote">'</code><code class="variable-string">iq</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
</table>
<!-- ==================== INSTANCE VARIABLES ==================== -->
<a name="section-InstanceVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.stanza.Stanza-class.html">stanza.Stanza</a></code></b>:
      <code><a href="pyxmpp.stanza.Stanza-class.html#stream">stream</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#xmlnode">xmlnode</a></code>
      </p>
    <div class="private">    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.stanza.Stanza-class.html">stanza.Stanza</a></code></b> (private):
      <code><a href="pyxmpp.stanza.Stanza-class.html#_error" onclick="show_private();">_error</a></code>
      </p></div>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">xmlnode</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">from_jid</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">to_jid</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">stanza_type</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">stanza_id</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">error</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">error_cond</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">stream</span>=<span class="sig-default">None</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.iq-pysrc.html#Iq.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Initialize an <a href="pyxmpp.iq.Iq-class.html" class="link">Iq</a> object.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>xmlnode</code></strong> (: <code class="link">unicode</code> or <code class="link">libxml2.xmlNode</code> or <a href="pyxmpp.iq.Iq-class.html" class="link">Iq</a>) - : XML node to_jid be wrapped into the <a href="pyxmpp.iq.Iq-class.html" class="link">Iq</a> object
or other Iq object to be copied. If not given then new
presence stanza is created using following parameters.</li>
        <li><strong class="pname"><code>from_jid</code></strong> (: <a href="pyxmpp.jid.JID-class.html" class="link">JID</a>) - : sender JID.</li>
        <li><strong class="pname"><code>to_jid</code></strong> (: <a href="pyxmpp.jid.JID-class.html" class="link">JID</a>) - : recipient JID.</li>
        <li><strong class="pname"><code>stanza_type</code></strong> (: <code class="link">unicode</code>) - : staza type: one of: &quot;get&quot;, &quot;set&quot;, &quot;result&quot; or &quot;error&quot;.</li>
        <li><strong class="pname"><code>stanza_id</code></strong> (: <code class="link">unicode</code>) - : stanza id -- value of stanza's &quot;id&quot; attribute. If not
given, then unique for the session value is generated.</li>
        <li><strong class="pname"><code>error_cond</code></strong> (: <code class="link">unicode</code>) - : error condition name. Ignored if <a href="pyxmpp.iq.Iq-class.html#stanza_type" class="link">stanza_type</a> is not &quot;error&quot;.</li>
    </ul></dd>
    <dt>Overrides:
        <a href="pyxmpp.stanza.Stanza-class.html#__init__">stanza.Stanza.__init__</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="copy"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">copy</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.iq-pysrc.html#Iq.copy">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Create a deep copy of the iq stanza.
  <dl class="fields">
    <dt>Returns: <a href="pyxmpp.iq.Iq-class.html" class="link">Iq</a></dt>
    <dt>Overrides:
        <a href="pyxmpp.stanza.Stanza-class.html#copy">stanza.Stanza.copy</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="get_query"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_query</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.iq-pysrc.html#Iq.get_query">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get the payload element of the stanza.
  <dl class="fields">
    <dt>Returns: <code class="link">libxml2.xmlNode</code></dt>
        <dd>the payload element or None if there is no payload.</dd>
  </dl>
</td></tr></table>
</div>
<a name="get_query_ns"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_query_ns</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.iq-pysrc.html#Iq.get_query_ns">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get a namespace of the stanza payload.
  <dl class="fields">
    <dt>Returns: <code class="link">str</code></dt>
        <dd>XML namespace URI of the payload or None if there is no
payload.</dd>
  </dl>
</td></tr></table>
</div>
<a name="make_error_response"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">make_error_response</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">cond</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.iq-pysrc.html#Iq.make_error_response">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Create error response for the a &quot;get&quot; or &quot;set&quot; iq stanza.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>cond</code></strong> - : error condition name, as defined in XMPP specification.</li>
    </ul></dd>
    <dt>Returns: <a href="pyxmpp.iq.Iq-class.html" class="link">Iq</a></dt>
        <dd>new <a href="pyxmpp.iq.Iq-class.html" class="link">Iq</a> object with the same &quot;id&quot; as self, &quot;from&quot; and &quot;to&quot;
attributes swapped, type=&quot;error&quot; and containing &lt;error /&gt; element
plus payload of <code class="link">self</code>.</dd>
  </dl>
</td></tr></table>
</div>
<a name="make_result_response"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">make_result_response</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.iq-pysrc.html#Iq.make_result_response">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Create result response for the a &quot;get&quot; or &quot;set&quot; iq stanza.
  <dl class="fields">
    <dt>Returns: <a href="pyxmpp.iq.Iq-class.html" class="link">Iq</a></dt>
        <dd>new <a href="pyxmpp.iq.Iq-class.html" class="link">Iq</a> object with the same &quot;id&quot; as self, &quot;from&quot; and &quot;to&quot;
attributes replaced and type=&quot;result&quot;.</dd>
  </dl>
</td></tr></table>
</div>
<a name="new_query"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">new_query</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">ns_uri</span>,
        <span class="sig-arg">name</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">query</code><code class="variable-quote">'</code></span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.iq-pysrc.html#Iq.new_query">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Create new payload element for the stanza.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>ns_uri</code></strong> (: <code class="link">str</code>) - : namespace URI of the element.</li>
        <li><strong class="pname"><code>name</code></strong> (: <code class="link">unicode</code>) - : element name.</li>
    </ul></dd>
    <dt>Returns: <code class="link">libxml2.xmlNode</code></dt>
        <dd>the new payload node.</dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:00 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
